LaserConfig Struct Reference

A struct for returning configuration from the YDLIDAR. More...

`#include <ydlidar_protocol.h>`

## Public Member Functions

LaserConfig & | operator= (const LaserConfig &data)

## Public Attributes

float | min_angle
| Start angle for the laser scan [rad]. 0 is forward and angles are measured clockwise when viewing YDLIDAR from the top.
float | max_angle
| Stop angle for the laser scan [rad]. 0 is forward and angles are measured clockwise when viewing YDLIDAR from the top.
float | time_increment
| Scan resoltuion [s].
float | scan_time
| Time between scans.
float | min_range
| Minimum range [m].
float | max_range
| Maximum range [m].

## Detailed Description

A struct for returning configuration from the YDLIDAR.

The documentation for this struct was generated from the following file:

- /home/yang/gitlab/sdk/include/ydlidar_protocol.h